com.mapinfo.midev.coordsys

## Class CoordSysType

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.coordsys.CoordSysType

All Implemented Interfaces:
  Serializable, Comparable

    public final class CoordSysType
    extends Enum

Enum that identifies the types of coordinate systems.

See Also:
  Serialized Form

### Field Summary

Fields
`static CoordSysType` `ENGINEERING` Engineering Coordinate System.
`static CoordSysType` `GEOGRAPHIC` Geographic Coordinate System based on an ellipsoidal approximation of the Earth.

### Method Summary

All Methods Static Methods Concrete Methods
`static CoordSysType` `valueOf(String name)`
`static CoordSysType[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### GEOGRAPHIC

    public static final CoordSysType GEOGRAPHIC

Geographic Coordinate System based on an ellipsoidal approximation of the Earth.

#### ENGINEERING

    public static final CoordSysType ENGINEERING

Engineering Coordinate System. The effects of the Earth's curvature are ignored (i.e. the Earth is flat).

### Method Detail

#### values

    public static CoordSysType[] values()

#### valueOf

    public static CoordSysType valueOf(String name)